Bug 262398 - can't add replies on user's discussion page on KDE UserBase
Summary: can't add replies on user's discussion page on KDE UserBase
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml (show other bugs)
Version: SVN
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-07 12:47 UTC by Alexander Potashev
Modified: 2011-01-19 00:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2011-01-07 12:47:09 UTC
Version:           SVN (using KDE 4.5.90) 
OS:                Linux

0. open Konqueror with KHTML
1. open a user discussion page on KDE UserBase (feel free to use mine, http://userbase.kde.org/User_talk:Aspotashev)
2. click "Add a reply"
3. write some text in the input field
4. click "Save page"
5. the query does not finish (at least, for minutes), only an animated image is shown (activity indicator, like this: http://neteye.github.com/activity-indicator.html). And the reply does not appear on the discussion page.

Konqueror+WebKit does not have any problems with adding replies on discussion pages.

Reproducible: Always
Comment 1 Maksim Orlovich 2011-01-09 17:04:39 UTC
KJS bug, actually:
<script>
var o = { "-1" : "OK"}
alert(o[-1]);
alert(o["-1"]);
</script>

May or may not be tricky.
Comment 2 Maksim Orlovich 2011-01-19 00:47:57 UTC
SVN commit 1215528 by orlovich:

Fix problems with negative indeces in bracket ops in cases we can statically
determine arguments to be of int32 type. Fixes reply problem on 
userbase.kde.org. I think I'll probably just have to bite the bullet and add in 
a uint32 type to FrostByte's type system, but getting conversion rules right
for that will be tricky... and it'll be extra-annoying that all the bitops 
like to produce int32.

BUG:262398
BUG:204143



 M  +23 -4     codes.def  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215528
Comment 3 Maksim Orlovich 2011-01-19 00:48:48 UTC
SVN commit 1215529 by orlovich:

Merged revision:r1215528 | orlovich | 2011-01-18 18:46:40 -0500 (Tue, 18 Jan 2011) | 11 lines

Fix problems with negative indeces in bracket ops in cases we can statically
determine arguments to be of int32 type. Fixes reply problem on 
userbase.kde.org. I think I'll probably just have to bite the bullet and add in 
a uint32 type to FrostByte's type system, but getting conversion rules right
for that will be tricky... and it'll be extra-annoying that all the bitops 
like to produce int32.

BUG:262398
BUG:204143

 M  +23 -4     codes.def  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215529